POST V1/IOT.{ext}/ExportDataDownload?level1={level1}&level2={level2}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| level1 |
No description available |
string |
Required |
| level2 |
No description available |
string |
Required |
| ext |
Which media types are acceptable for the response, such as json/xml If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter. |
string |
Content-Type: application/json OR application/xml |
Body Parameters
EMS.IOT.Entities.IntervalMeterDataSearch| Name | Description | Type | Additional information |
|---|---|---|---|
| MeterIds |
No description available |
Collection of string |
None. |
| MeterNumbers |
No description available |
Collection of string |
None. |
| FromDate |
No description available |
string |
None. |
| ToDate |
No description available |
string |
None. |
| AccountNumber |
No description available |
string |
None. |
| Type |
No description available |
string |
None. |
| Uom |
No description available |
string |
None. |
| AccountMeterType |
No description available |
string |
None. |
| DownloadType |
No description available |
string |
None. |
Request Formats
application/json, text/json
{
"meterIds": [
"sample string 1",
"sample string 2"
],
"meterNumbers": [
"sample string 1",
"sample string 2"
],
"fromDate": "sample string 1",
"toDate": "sample string 2",
"accountNumber": "sample string 3",
"type": "sample string 4",
"uom": "sample string 5",
"accountMeterType": "sample string 6",
"downloadType": "sample string 7"
}
application/xml, text/xml
<IntervalMeterDataSearch xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.IOT.Entities">
<AccountMeterType>sample string 6</AccountMeterType>
<AccountNumber>sample string 3</AccountNumber>
<DownloadType>sample string 7</DownloadType>
<FromDate>sample string 1</FromDate>
<MeterIds xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:string>sample string 1</d2p1:string>
<d2p1:string>sample string 2</d2p1:string>
</MeterIds>
<MeterNumbers xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:string>sample string 1</d2p1:string>
<d2p1:string>sample string 2</d2p1:string>
</MeterNumbers>
<ToDate>sample string 2</ToDate>
<Type>sample string 4</Type>
<Uom>sample string 5</Uom>
</IntervalMeterDataSearch>
application/x-www-form-urlencoded
Sample not available.
application/bson
Binary JSON content. See http://bsonspec.org for details.
Response Information
Resource Description
EMSResponseOfSystem.Object| Name | Description | Type | Additional information |
|---|---|---|---|
| ResponseType |
No description available |
string |
None. |
| Response |
No description available |
Object |
None. |
| Error |
No description available |
EMS.Common.Error |
None. |
Response Formats
application/json, text/json
{
"responseType": "Object",
"response": {},
"error": {
"errorCode": "sample string 1",
"errorDescription": "sample string 2"
}
}
application/bson
Binary JSON content. See http://bsonspec.org for details.